# Record Class MValidationIssue

java.lang.Object
java.lang.Record
com.io7m.montarre.api.validation.MValidationIssue

Record Components:
  `kind` - The error kind
  `errorCode` - The error code
  `message` - The message
  `attributes` - The attributes

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorType<String>`

public record MValidationIssue(MValidationKind kind, String errorCode, String message, Map<String,String> attributes) extends Record implements com.io7m.seltzer.api.SStructuredErrorType<String>
A validation issue.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MValidationIssue(MValidationKind kind, String errorCode, String message, Map<String,String> attributes)`
  A validation issue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  Returns the value of the `attributes` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `errorCode()`
  Returns the value of the `errorCode` record component.
  `Optional<Throwable>`
  `exception()`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `MValidationKind`
  `kind()`
  Returns the value of the `kind` record component.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `Optional<String>`
  `remediatingAction()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MValidationIssue

    public MValidationIssue(MValidationKind kind, String errorCode, String message, Map<String,String> attributes)
    A validation issue.
    Parameters:
      `kind` - The error kind
      `errorCode` - The error code
      `message` - The message
      `attributes` - The attributes

- ## Method Details

  - ### remediatingAction

    public Optional<String> remediatingAction()
    Specified by:
      `remediatingAction` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`

  - ### exception

    public Optional<Throwable> exception()
    Specified by:
      `exception` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### kind

    public MValidationKind kind()
    Returns the value of the `kind` record component.
    Returns:
      the value of the `kind` record component

  - ### errorCode

    public String errorCode()
    Returns the value of the `errorCode` record component.
    Specified by:
      `errorCode` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `errorCode` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Specified by:
      `message` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `message` record component

  - ### attributes

    public Map<String,String> attributes()
    Returns the value of the `attributes` record component.
    Specified by:
      `attributes` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `attributes` record component